Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Native Steam client and source game engine
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 6, 7, 8 ... 10, 11, 12  Next  
Reply to topic    Gentoo Forums Forum Index Gamers & Players
View previous topic :: View next topic  
Author Message
Hyper_Eye
Guru
Guru


Joined: 17 Aug 2003
Posts: 446
Location: Huntsville, AL.

PostPosted: Sun Dec 02, 2012 3:27 am    Post subject: Reply with quote

However many it is they don't seem to care. They haven't done anything to stop people that were not invited to the beta from using the software.
_________________
Gentoo Gaming Videos
Back to top
View user's profile Send private message
mklean
n00b
n00b


Joined: 28 Nov 2012
Posts: 3

PostPosted: Fri Dec 07, 2012 2:14 am    Post subject: Reply with quote

Anyone try the "Unity Of Command" demo. I think I'm missing some important fonts. The text on buttons and other controls display as empty squares.

I've looked at other posts on the subject: http://unityofcommand.net/forums/viewtopic.php?f=33&t=1663 , but I have been unable to determine what I am missing.

How would I determine what fonts are required?

Oh also I have installed the liberation fonts and configured it using eselect fontconfig.
Back to top
View user's profile Send private message
metapsyborg
n00b
n00b


Joined: 28 Sep 2011
Posts: 11

PostPosted: Fri Dec 07, 2012 2:36 am    Post subject: Reply with quote

I had some initial problems, but after installing the fonts and rebuilding all the dependencies with gcc 4.6.3 I am now able to log in and play. All my games work, except for Limbo (it seems to install but doesn't actually download anything).
Back to top
View user's profile Send private message
mklean
n00b
n00b


Joined: 28 Nov 2012
Posts: 3

PostPosted: Fri Dec 07, 2012 3:56 am    Post subject: Reply with quote

Well, the game runs, its just hard to make heads or tails of the menu's, etc.

I have followed the wiki guide to get other games running just fine. Dredmore, Trine 2, and TF2 are good.

Oh and similar to Limbo for me, DEFCON appears to install, but when I click play the launcher throws an error "Failed to start game (missing executables)."
Back to top
View user's profile Send private message
Hyper_Eye
Guru
Guru


Joined: 17 Aug 2003
Posts: 446
Location: Huntsville, AL.

PostPosted: Fri Dec 07, 2012 4:10 am    Post subject: Reply with quote

Some games appear in the list but don't install because you have to select a beta program. Unfortunately they require passwords.
_________________
Gentoo Gaming Videos
Back to top
View user's profile Send private message
mklean
n00b
n00b


Joined: 28 Nov 2012
Posts: 3

PostPosted: Fri Dec 07, 2012 7:02 am    Post subject: Reply with quote

mklean wrote:
Anyone try the "Unity Of Command" demo. I think I'm missing some important fonts. The text on buttons and other controls display as empty squares.

I've looked at other posts on the subject: http://unityofcommand.net/forums/viewtopic.php?f=33&t=1663 , but I have been unable to determine what I am missing.

How would I determine what fonts are required?

Oh also I have installed the liberation fonts and configured it using eselect fontconfig.



Ahhh, figured it out. It appears that the Unity of Command demo looks for the pango module listing at /etc/pango/pango.modules. Gentoo lays the 32-bit module listing at /etc/pango/i686-pc-linux-gnu/pango.modules. As a temporary work around I just created a sym link.
Back to top
View user's profile Send private message
deathiv
n00b
n00b


Joined: 30 May 2012
Posts: 11

PostPosted: Sun Dec 09, 2012 3:48 am    Post subject: Reply with quote

I keep trying to launch it but whenever I do it says
Code:
/home/tux/.local/share/Steam/steam.sh: line 324: /home/tux/.local/share/Steam/ubuntu12_32/steam: No such file or directory

When I stat the program in /home/tux/share/Steam/ubuntu12_32/steam it comes out as 700, and changes to that whenever I run the launch script.
Any Idea why?

As a side note, the box is running LFS not gentoo.
Back to top
View user's profile Send private message
mackal
Tux's lil' helper
Tux's lil' helper


Joined: 04 Aug 2011
Posts: 78

PostPosted: Sun Dec 09, 2012 5:17 am    Post subject: Reply with quote

ati-drivers 12.11 beta8 breaks Steam, beta11 form X11 overlay works fine.
Back to top
View user's profile Send private message
Plague.CZ
n00b
n00b


Joined: 13 Mar 2007
Posts: 65

PostPosted: Sun Dec 09, 2012 1:54 pm    Post subject: Reply with quote

I get an assertion faled in client_api.cpp:273
Code:
Assert( Assertion Failed: ClientAPI_InitGlobalInstance: InternalAPI_Init_Internal failed.
 ):/home/buildbot/buildslave_steam/steam_rel_client_ubuntu12_linux/build/src/steamui/../common/steam/client_api.cpp:273

The full dump is here

I have a 32bit install using the steam-overlay, nVidia proprietary drivers 310.19
_________________
Czech translator of SMPlayer
http://smplayer.sf.net - the best player out there
Back to top
View user's profile Send private message
Koradji
Tux's lil' helper
Tux's lil' helper


Joined: 01 Apr 2005
Posts: 76
Location: Townsville, Australia

PostPosted: Mon Dec 10, 2012 4:51 am    Post subject: Re: what i did: Reply with quote

Koradji wrote:

I suspect any normal updates will also fail, needing a re-install.


Happily, i was mistaken. My oddish install updates itself easily.
_________________
koradji login: emerge nvidia-drivers
password: ...
Back to top
View user's profile Send private message
Hyper_Eye
Guru
Guru


Joined: 17 Aug 2003
Posts: 446
Location: Huntsville, AL.

PostPosted: Fri Dec 14, 2012 9:29 pm    Post subject: Reply with quote

It would appear that Valve intends to open the beta to everyone: http://steamforlinux.com/?q=en/node/141
_________________
Gentoo Gaming Videos
Back to top
View user's profile Send private message
Hyper_Eye
Guru
Guru


Joined: 17 Aug 2003
Posts: 446
Location: Huntsville, AL.

PostPosted: Tue Dec 18, 2012 2:18 am    Post subject: Reply with quote

"Penumbra: Overture" and "Penumbra: Black Plague" are now working. Requiem still does not download.
_________________
Gentoo Gaming Videos
Back to top
View user's profile Send private message
Toffer
n00b
n00b


Joined: 04 Nov 2007
Posts: 14
Location: Norway

PostPosted: Thu Dec 20, 2012 12:43 am    Post subject: Reply with quote

They have now released the open beta client. Downloading TF2 now... I could do unspeakable things to Gabe Newell and his crew for this shit.
_________________
l33t n00b
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Thu Dec 20, 2012 1:58 am    Post subject: Reply with quote

Code:
emerge: there are no ebuilds to satisfy "steam-meta".


Anybody have any clue why portage is being finicky?
Back to top
View user's profile Send private message
Yggdrasil
n00b
n00b


Joined: 08 Jul 2004
Posts: 46
Location: Maybe on Earth, Maybe in the Future

PostPosted: Thu Dec 20, 2012 3:45 am    Post subject: Reply with quote

Chocrates wrote:
Code:
emerge: there are no ebuilds to satisfy "steam-meta".


Anybody have any clue why portage is being finicky?


I don't know, it worked here; are you sure you have gamerlay? A quick eix check says only gamerlay has steam ebuilds.

Edit: doesn't seem to agree w/ my setup, the first window is a garbled mess, I can click blindly and get the option to log in w/ a playstation account but not my existing steam one. Maybe I should work harder on getting AMD's binary to work...

dmesg shows:
Code:
[13853.281283] radeon 0000:01:00.0: evergreen_surface_value_conv_check:330 cb invalid array mode 6
[13853.281294] radeon 0000:01:00.0: evergreen_packet3_check:2136 invalid cmd stream 552
[13853.281300] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
etc. etc.

Any ideas beyond switching to the blob?
_________________
"We have/need art, so that we don't die of the truth." -- Friedrich Nietzsche
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Thu Dec 20, 2012 4:22 am    Post subject: Reply with quote

Yggdrasil wrote:


I don't know, it worked here; are you sure you have gamerlay? A quick eix check says only gamerlay has steam ebuilds.


Yep definately have gamerlay. I'm trying to sync portage and see what else i can come up with.

Yggdrasil wrote:

Edit: doesn't seem to agree w/ my setup, the first window is a garbled mess, I can click blindly and get the option to log in w/ a playstation account but not my existing steam one. Maybe I should work harder on getting AMD's binary to work...

dmesg shows:
Code:
[13853.281283] radeon 0000:01:00.0: evergreen_surface_value_conv_check:330 cb invalid array mode 6
[13853.281294] radeon 0000:01:00.0: evergreen_packet3_check:2136 invalid cmd stream 552
[13853.281300] [drm:radeon_cs_ib_chunk] *ERROR* Invalid command stream !
etc. etc.

Any ideas beyond switching to the blob?


How did the AMD binaries fail?
They worked flawlessly on my build, granted this was a few months ago.[/code]
Back to top
View user's profile Send private message
Cynede
Developer
Developer


Joined: 30 Nov 2012
Posts: 36

PostPosted: Thu Dec 20, 2012 5:38 am    Post subject: Reply with quote

Chocrates wrote:

Yep definately have gamerlay. I'm trying to sync portage and see what else i can come up with.


You need to sync gamerlay.
Code:
layman -S

_________________
GitHub
Twitter
Last.fm

“Pain is inevitable Suffering is optional” Haruki Murakami, What I Talk About When I Talk About Running
Back to top
View user's profile Send private message
hasufell
Developer
Developer


Joined: 29 Oct 2011
Posts: 240

PostPosted: Thu Dec 20, 2012 12:07 pm    Post subject: Reply with quote

any tried to get Hidden Source to work?

I installed it in wine, copied the "hidden" and "hidden-4a" subfolder over to my linux steam installation and it shows up in the library, but nothing happens when I click on play.
Back to top
View user's profile Send private message
hasufell
Developer
Developer


Joined: 29 Oct 2011
Posts: 240

PostPosted: Thu Dec 20, 2012 12:09 pm    Post subject: Reply with quote

Hyper_Eye wrote:
"Penumbra: Overture" and "Penumbra: Black Plague" are now working. Requiem still does not download.

they are in portage :o

http://packages.gentoo.org/package/games-rpg/penumbra-collection
Back to top
View user's profile Send private message
Chocrates
n00b
n00b


Joined: 28 Apr 2007
Posts: 27

PostPosted: Thu Dec 20, 2012 12:47 pm    Post subject: Reply with quote

Cynede wrote:

You need to sync gamerlay.
Code:
layman -S

Unfortunately, nothing.

Code:
# layman -S
* Running... # /usr/bin/svn up /var/lib/layman/java-overlay
At revision 9127.
* Running... # ( cd /var/lib/layman/gamerlay  && /usr/bin/git pull )
Already up-to-date.
*
* Success:
* ------
*
* Successfully synchronized overlay "java-overlay".
* Successfully synchronized overlay "gamerlay".

# emerge -av games-util/steam-meta

 * IMPORTANT: 7 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


 * IMPORTANT: 2 config files in '/etc/portage' need updating.
 * See the CONFIGURATION FILES section of the emerge
 * man page to learn how to update config files.

These are the packages that would be merged, in order:

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "games-util/steam-meta".

emerge: searching for similar names...
emerge: Maybe you meant any of these: games-util/qstat, games-util/xgame, games-util/atlas?


I did have the steam-overlay for a while and layman was telling me of namespace conflicts, but i deleted it and updated before trying this.
Back to top
View user's profile Send private message
mir3x
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jun 2012
Posts: 136

PostPosted: Thu Dec 20, 2012 1:38 pm    Post subject: Reply with quote

I've read that steam beta is open for everyone, but I cant still connect , getting that message - "this version is closed beta. login with enrolled account", do I need to wait for update in gamerlay ?

Chokrates-> maybe remove and readd gamerlay ? steam-meta is definitely there, or maybe u dont have -> source /var/lib/layman/make.conf in make.conf ? probably u have misconfigured layman.
_________________
Installation aborted to prevent system self-destruction
Back to top
View user's profile Send private message
Chiitoo
l33t
l33t


Joined: 28 Feb 2010
Posts: 856
Location: Here and Away Again

PostPosted: Thu Dec 20, 2012 2:00 pm    Post subject: Reply with quote

mir3x,

The ebuilds provide merely the installer, so no, you should not be waiting for them to be updated. You probably need to update the Steam client itself.
I imagine your options are as follows:
  • Check for updates via the Steam menu item (go around the notification window by, for example, launching steam like so: steam steam://open/minigameslist).
  • Re-install.
  • Delete the ClientRegistry.blob (did not try this yet, but I imagine it might work as well).
I hope this helps~
_________________
Kind Regards,
~ The Noob Unlimited ~

Sore wa sore, kore wa kore.
Back to top
View user's profile Send private message
mir3x
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jun 2012
Posts: 136

PostPosted: Thu Dec 20, 2012 3:41 pm    Post subject: Reply with quote

thx Chiitoo,
steam steam://open/minigameslist and updating via menu helped
_________________
Installation aborted to prevent system self-destruction
Back to top
View user's profile Send private message
anyc
Tux's lil' helper
Tux's lil' helper


Joined: 31 May 2004
Posts: 119

PostPosted: Thu Dec 20, 2012 7:53 pm    Post subject: Reply with quote

Chocrates: you can take a look into /var/lib/layman/$repo/ to check if the ebuild is there and layman is working properly. If yes, then your portage config is maybe wrong.
Back to top
View user's profile Send private message
V10lator
Apprentice
Apprentice


Joined: 11 Jul 2004
Posts: 170

PostPosted: Thu Dec 20, 2012 10:09 pm    Post subject: Reply with quote

I just installed steam from the gamerlay overlay. Before I had it from another ebuild but was only able to run steam as root.

Now from the overlay it gave me "Fatal Error: Failed to load libsteam.so" and this with LD_DEBUG="libs": http://pastie.org/5559042
Looking into the ubuntu12_32 directory and comparing it with the folder from root (from the old overlay) I saw a lot of files missing (libsteam.so being one of them). Copying them from root over to the normal user fixed this but now I'm still only able to use steam as root. As normal user steam downloads the update and then loops the "Extracting package..." screen.

Anybody knows how to solve this?
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gamers & Players All times are GMT
Goto page Previous  1, 2, 3 ... 6, 7, 8 ... 10, 11, 12  Next
Page 7 of 12

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum